The Spring Framework

## org.springframework.jdbc.core
Interface DisposableSqlTypeValue

All Superinterfaces:
  SqlTypeValue

All Known Subinterfaces:
  SqlXmlValue

All Known Implementing Classes:
  SqlLobValue

    public interface DisposableSqlTypeValue

extends SqlTypeValue

Subinterface of SqlTypeValue that adds a cleanup callback, to be invoked after the value has been set and the corresponding statement has been executed.

Since:
  1.1
Author:
  Juergen Hoeller
See Also:
  `SqlLobValue`

Field Summary

Fields inherited from interface org.springframework.jdbc.core.SqlTypeValue
`TYPE_UNKNOWN`

Method Summary
`void` `cleanup()` Clean up resources held by this type value, for example the LobCreator in case of a SqlLobValue.

Methods inherited from interface org.springframework.jdbc.core.SqlTypeValue
`setTypeValue`

Method Detail

### cleanup

    void cleanup()

  Clean up resources held by this type value, for example the LobCreator in case of a SqlLobValue.

  See Also:
    `SqlLobValue.cleanup()`

The Spring Framework

Copyright © 2002-2008 The Spring Framework.